Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256414 - Stabilization of NX 3.3 clients and servers packages
Summary: Stabilization of NX 3.3 clients and servers packages
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2009-01-26 14:41 UTC by Bernard Cafarelli
Modified: 2009-03-08 15:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Cafarelli gentoo-dev 2009-01-26 14:41:18 UTC
NX 3.3 branch packages, it's your turn!

Candidate packages are:
* net-misc/nxclient-3.3.0.3
* net-misc/nxnode-3.3.0.3
* net-misc/nxserver-freeedition-3.3.0.8-r1
* net-misc/nx-3.3.0-r1
* net-misc/nxserver-freenx-0.7.3-r2
* net-misc/nxcl-0.9-r1 (new use flag to work with standard ssh)

Thanks
Comment 1 Richard Freeman gentoo-dev 2009-02-04 21:14:47 UTC
Are there any restrictions as to which ones need to be marked stable together?

I can stabilize nxnode, nxclient, and nxserver-freeedition.  I'm not sure if freenx can co-exist with the freeedition server, and I think that plain nx requires a license to use?  Is it ok to mark just the three stable until somebody else can test the rest?  I didn't see any dependency issues with the other packages, but...
Comment 2 Bernard Cafarelli gentoo-dev 2009-02-04 22:37:48 UTC
Yes for stabilization you can do these 3 at the same time. nxserver-freeedition ebuild installs its license automatically

The relations between all ebuilds are as follow:
* nxnode, nxclient, and nxserver-freeedition form the "closed-source" ensemble, better to stable major versions at the same time
* nxserver-freenx works with all nxclient versions (or even without, if using xmessage), and any net-misc/nx, I just usually ask for nxserver-freenx and net-misc/nx stabling at the same time as they form the GPL version of NX (net-misc/nx is just the GPL parts of NX, the server itself is in freenx and does not need a license)
* nxcl and qtnx form the GPL client, and do not depend on specific versions of other NX packages either

So in short, no problem if you stable the freeedition, freenx can wait ;)
Comment 3 Richard Freeman gentoo-dev 2009-02-05 02:36:51 UTC
nxclient, nxnode, and nxserver-freeedition are amd64 stable 

The GPL versions still require stabilization.  If nobody else picks them up in a week I'll see if I can back up my current configuration and test them out.
Comment 4 Markus Meier gentoo-dev 2009-03-08 15:26:32 UTC
amd64/x86 stable, all arches done.